Bug 10468 - Crash while doing drag and drop
Summary: Crash while doing drag and drop
Status: CLOSED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: 1.1.90
Platform: unspecified Other
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-09-13 07:33 UTC by Unknown
Modified: 2014-01-07 17:10 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kozbial 2000-09-13 07:34:30 UTC
(*** This bug was imported into bugs.kde.org ***)

Package: kmail
Version: 1.1.90 (KDE 1.93 Beta >= 20000813)
Severity: normal

Hi
I was moving two selected messages to another folder and kmail crushed. I was doing the same thing for ~20minutes without any crush.

Hope it helps to improve kmail.
Piotr


Here is a backtrace generated by DrKonqi:
0x413c6029 in __wait4 () from /lib/libc.so.6
#0  0x413c6029 in __wait4 () from /lib/libc.so.6
#1  0x41423718 in __DTOR_END__ () from /lib/libc.so.6
#2  0x40a55970 in KCrash::defaultCrashHandler ()
   from /opt/kde2/lib/libkdecore.so.3
#3  0x413639d8 in __restore ()
    at ../sysdeps/unix/sysv/linux/i386/sigaction.c:127
#4  0x8091998 in KMFolderTree::contentsDragLeaveEvent ()
#5  0x40eabd09 in QScrollView::viewportDragLeaveEvent ()
   from /opt/kde2/lib/libqt.so.2
#6  0x40eab2ce in QScrollView::eventFilter () from /opt/kde2/lib/libqt.so.2
#7  0x40e60181 in QListView::eventFilter () from /opt/kde2/lib/libqt.so.2
#8  0x40da0520 in QObject::activate_filters () from /opt/kde2/lib/libqt.so.2
#9  0x40e0779b in QWidget::event () from /opt/kde2/lib/libqt.so.2
#10 0x40d32009 in QApplication::notify () from /opt/kde2/lib/libqt.so.2
#11 0x40d0757e in qt_handle_xdnd_position () from /opt/kde2/lib/libqt.so.2
#12 0x40d094fa in QDragManager::move () from /opt/kde2/lib/libqt.so.2
#13 0x40d0861c in QDragManager::eventFilter () from /opt/kde2/lib/libqt.so.2
#14 0x40d31f80 in QApplication::notify () from /opt/kde2/lib/libqt.so.2
#15 0x40cfcddc in QETWidget::translateMouseEvent ()
   from /opt/kde2/lib/libqt.so.2
#16 0x40cfa281 in QApplication::x11ProcessEvent ()
   from /opt/kde2/lib/libqt.so.2
#17 0x40cf98b8 in QApplication::processNextEvent ()
   from /opt/kde2/lib/libqt.so.2
#18 0x40d33c7f in QApplication::enter_loop () from /opt/kde2/lib/libqt.so.2
#19 0x40d0a332 in QDragManager::drag () from /opt/kde2/lib/libqt.so.2
#20 0x40d3b0d4 in QDragObject::drag () from /opt/kde2/lib/libqt.so.2
#21 0x40d3b034 in QDragObject::drag () from /opt/kde2/lib/libqt.so.2
#22 0x80a598b in KMHeaders::contentsMouseMoveEvent ()
#23 0x40eabb7f in QScrollView::viewportMouseMoveEvent ()
   from /opt/kde2/lib/libqt.so.2
#24 0x40eab45d in QScrollView::eventFilter () from /opt/kde2/lib/libqt.so.2
#25 0x40e60181 in QListView::eventFilter () from /opt/kde2/lib/libqt.so.2
#26 0x40da0520 in QObject::activate_filters () from /opt/kde2/lib/libqt.so.2
#27 0x40e0779b in QWidget::event () from /opt/kde2/lib/libqt.so.2
#28 0x40d32009 in QApplication::notify () from /opt/kde2/lib/libqt.so.2
#29 0x40cfcddc in QETWidget::translateMouseEvent ()
   from /opt/kde2/lib/libqt.so.2
#30 0x40cfa281 in QApplication::x11ProcessEvent ()
   from /opt/kde2/lib/libqt.so.2
#31 0x40cf98b8 in QApplication::processNextEvent ()
   from /opt/kde2/lib/libqt.so.2
#32 0x40d33c7f in QApplication::enter_loop () from /opt/kde2/lib/libqt.so.2
#33 0x40cf983b in QApplication::exec () from /opt/kde2/lib/libqt.so.2
#34 0x8169438 in main ()
#35 0x4135da8e in __libc_start_main () at ../sysdeps/generic/libc-start.c:93
Comment 1 Don Sanders 2000-10-15 01:31:44 UTC
I think we worked out what was going wrong. If mail checking (was in progress 
and) finished after shile the user was dragging a message over the list of 
folders then when the user dropped the message KMail crashed.

This fix was committed to cvs yesterday.

BFN
Don.

On Wednesday 13 September 2000 09:34 Piotr Kozbial wrote:
> Package: kmail
> Version: 1.1.90 (KDE 1.93 Beta >= 20000813)
> Severity: normal
>
> Hi
> I was moving two selected messages to another folder and kmail crushed. I
> was doing the same thing for ~20minutes without any crush.
>
> Hope it helps to improve kmail.
> Piotr
>
>
> Here is a backtrace generated by DrKonqi:
> 0x413c6029 in __wait4 () from /lib/libc.so.6
> #0  0x413c6029 in __wait4 () from /lib/libc.so.6
> #1  0x41423718 in __DTOR_END__ () from /lib/libc.so.6
> #2  0x40a55970 in KCrash::defaultCrashHandler ()
>    from /opt/kde2/lib/libkdecore.so.3
> #3  0x413639d8 in __restore ()
>     at ../sysdeps/unix/sysv/linux/i386/sigaction.c:127
> #4  0x8091998 in KMFolderTree::contentsDragLeaveEvent ()
> #5  0x40eabd09 in QScrollView::viewportDragLeaveEvent ()
>    from /opt/kde2/lib/libqt.so.2
> #6  0x40eab2ce in QScrollView::eventFilter () from /opt/kde2/lib/libqt.so.2
> #7  0x40e60181 in QListView::eventFilter () from /opt/kde2/lib/libqt.so.2
> #8  0x40da0520 in QObject::activate_filters () from
> /opt/kde2/lib/libqt.so.2 #9  0x40e0779b in QWidget::event () from
> /opt/kde2/lib/libqt.so.2
> #10 0x40d32009 in QApplication::notify () from /opt/kde2/lib/libqt.so.2
> #11 0x40d0757e in qt_handle_xdnd_position () from /opt/kde2/lib/libqt.so.2
> #12 0x40d094fa in QDragManager::move () from /opt/kde2/lib/libqt.so.2
> #13 0x40d0861c in QDragManager::eventFilter () from
> /opt/kde2/lib/libqt.so.2 #14 0x40d31f80 in QApplication::notify () from
> /opt/kde2/lib/libqt.so.2 #15 0x40cfcddc in QETWidget::translateMouseEvent
> ()
>    from /opt/kde2/lib/libqt.so.2
> #16 0x40cfa281 in QApplication::x11ProcessEvent ()
>    from /opt/kde2/lib/libqt.so.2
> #17 0x40cf98b8 in QApplication::processNextEvent ()
>    from /opt/kde2/lib/libqt.so.2
> #18 0x40d33c7f in QApplication::enter_loop () from /opt/kde2/lib/libqt.so.2
> #19 0x40d0a332 in QDragManager::drag () from /opt/kde2/lib/libqt.so.2
> #20 0x40d3b0d4 in QDragObject::drag () from /opt/kde2/lib/libqt.so.2
> #21 0x40d3b034 in QDragObject::drag () from /opt/kde2/lib/libqt.so.2
> #22 0x80a598b in KMHeaders::contentsMouseMoveEvent ()
> #23 0x40eabb7f in QScrollView::viewportMouseMoveEvent ()
>    from /opt/kde2/lib/libqt.so.2
> #24 0x40eab45d in QScrollView::eventFilter () from /opt/kde2/lib/libqt.so.2
> #25 0x40e60181 in QListView::eventFilter () from /opt/kde2/lib/libqt.so.2
> #26 0x40da0520 in QObject::activate_filters () from
> /opt/kde2/lib/libqt.so.2 #27 0x40e0779b in QWidget::event () from
> /opt/kde2/lib/libqt.so.2
> #28 0x40d32009 in QApplication::notify () from /opt/kde2/lib/libqt.so.2
> #29 0x40cfcddc in QETWidget::translateMouseEvent ()
>    from /opt/kde2/lib/libqt.so.2
> #30 0x40cfa281 in QApplication::x11ProcessEvent ()
>    from /opt/kde2/lib/libqt.so.2
> #31 0x40cf98b8 in QApplication::processNextEvent ()
>    from /opt/kde2/lib/libqt.so.2
> #32 0x40d33c7f in QApplication::enter_loop () from /opt/kde2/lib/libqt.so.2
> #33 0x40cf983b in QApplication::exec () from /opt/kde2/lib/libqt.so.2
> #34 0x8169438 in main ()
> #35 0x4135da8e in __libc_start_main () at
> ../sysdeps/generic/libc-start.c:93
Comment 2 Hugo Pereira Da Costa 2014-01-07 17:10:41 UTC
Git commit 6b06d66c056622f55c7baee3ab2eca620492e1eb by Hugo Pereira Da Costa.
Committed on 07/01/2014 at 17:01.
Pushed by hpereiradacosta into branch '1.4'.

Properly initialize GMatchInfo to 0L before parsing regular expression
This prevents crash when parsing the result later on, when the regexp matching has failed (for some reason) in the first place.

M  +1    -1    src/oxygenrgba.cpp

http://commits.kde.org/oxygen-gtk/6b06d66c056622f55c7baee3ab2eca620492e1eb
Comment 3 Hugo Pereira Da Costa 2014-01-07 17:10:43 UTC
Git commit 5bbfdd880436c3725aff5cd60378146d20a8a821 by Hugo Pereira Da Costa.
Committed on 07/01/2014 at 17:01.
Pushed by hpereiradacosta into branch 'gtk3'.

Properly initialize GMatchInfo to 0L before parsing regular expression
This prevents crash when parsing the result later on, when the regexp matching has failed (for some reason) in the first place.

M  +1    -1    src/oxygenrgba.cpp

http://commits.kde.org/oxygen-gtk/5bbfdd880436c3725aff5cd60378146d20a8a821
Comment 4 Hugo Pereira Da Costa 2014-01-07 17:10:46 UTC
Git commit b32580624ddfe7eace6bcc7b5d1b6b220888f8b0 by Hugo Pereira Da Costa.
Committed on 07/01/2014 at 17:01.
Pushed by hpereiradacosta into branch 'gtk3-1.2'.

Properly initialize GMatchInfo to 0L before parsing regular expression
This prevents crash when parsing the result later on, when the regexp matching has failed (for some reason) in the first place.

M  +1    -1    src/oxygenrgba.cpp

http://commits.kde.org/oxygen-gtk/b32580624ddfe7eace6bcc7b5d1b6b220888f8b0